### DbEnv::rep_set_priority

`

###

    #include <db_cxx.h>

    int
    DbEnv::rep_set_priority(int priority);
    int
    DbEnv::rep_get_priority(int *priorityp);

### Description: DbEnv::rep_set_priority

The DbEnv::rep_set_priority method specifies the database environment's priority in replication group elections. The priority must be a positive integer, or 0 if this environment cannot be a replication group master.

The DbEnv::rep_set_priority method configures a database environment, not only operations performed using the specified DbEnv handle.

The DbEnv::rep_set_priority method may be called at any time during the life of the application.

The DbEnv::rep_set_priority method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

priority
  The priority of this database environment in the replication group. The priority must be a positive integer, or 0 if this environment cannot be a replication group master. (See Replication environment priorities for more information).

### Description: DbEnv::rep_get_priority

The DbEnv::rep_get_priority method returns the database environment priority.

The DbEnv::rep_get_priority method may be called at any time during the life of the application.

The DbEnv::rep_get_priority method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

priorityp
  The DbEnv::rep_get_priority method returns the database environment priority in priorityp.

### Class

DbEnv

### See Also

Replication and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.